Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.groupedgrid.model
Interface VGroupedGrid

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VContainedElement, VElement

All Known Implementing Classes:
  VGroupedGridImpl

    public interface VGroupedGrid

extends VContainedElement

A representation of the model object 'Grouped Grid'.

The following features are supported:

- `Groups`

Since:
  1.2
See Also:
  `VGroupedGridPackage.getGroupedGrid()`

Method Summary
`org.eclipse.emf.common.util.EList<VGroup>` | `getGroups()` Returns the value of the 'Groups' containment reference list.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroups

    org.eclipse.emf.common.util.EList<VGroup> getGroups()

  Returns the value of the 'Groups' containment reference list. The list contents are of type `VGroup`.

  If the meaning of the 'Groups' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Groups' containment reference list.
  See Also:
    `VGroupedGridPackage.getGroupedGrid_Groups()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.